<div>
    <h2 id="page-heading">
        <span jhiTranslate="restaurantApplicationApp.productOrder.home.title">Product Orders</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product-order" [routerLink]="['/product-order/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="restaurantApplicationApp.productOrder.home.createLabel">
            Create new Product Order
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="productOrders">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="placedDate"><span jhiTranslate="restaurantApplicationApp.productOrder.placedDate">Placed Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="status"><span jhiTranslate="restaurantApplicationApp.productOrder.status">Status</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="code"><span jhiTranslate="restaurantApplicationApp.productOrder.code">Code</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="invoiceId"><span jhiTranslate="restaurantApplicationApp.productOrder.invoiceId">Invoice Id</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="customer.email"><span jhiTranslate="restaurantApplicationApp.productOrder.customer">Customer</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let productOrder of productOrders ;trackBy: trackId">
                <td><a [routerLink]="['/product-order', productOrder.id, 'view' ]">{{productOrder.id}}</a></td>
                <td>{{productOrder.placedDate | date:'medium'}}</td>
                <td jhiTranslate="{{'restaurantApplicationApp.OrderStatus.' + productOrder.status}}">{{productOrder.status}}</td>
                <td>{{productOrder.code}}</td>
                <td>{{productOrder.invoiceId}}</td>
                <td>
                    <div *ngIf="productOrder.customer">
                        <a [routerLink]="['../customer', productOrder.customer?.id, 'view' ]" >{{productOrder.customer?.email}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/product-order', productOrder.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/product-order', productOrder.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'product-order', { outlets: { popup: productOrder.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="productOrders && productOrders.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
